<?php

// pristupova knihovna pro klientske relace

require_once 'Encryption.php';

function cs_session_read($name='MY_SESSION') {
  global $MY_SESSION;
  if (isset($_COOKIE[$name]))
    $MY_SESSION = unserialize(Encryption::decrypt(stripslashes($_COOKIE[$name])));
}

function cs_session_write($name='MY_SESSION', $expiration=3600) {
  global $MY_SESSION;
  setcookie($name, Encryption::encrypt(serialize($MY_SESSION)), time()+$expiration);  
}

function cs_session_destroy($name='MY_SESSION') {
  global $MY_SESSION;
  setcookie($name, "", 0);
}

?>
