<?php

require_once 'Authentication.php';
require_once 'AuthException.php';
require_once 'DB_Mysql_WEB.php';

$auth = new Authentication;
$dbh = new DB_Mysql_WEB;
$auth->set_db($dbh);

if (isset($_POST['login']) && isset($_POST['heslo'])) {
  $login = $_POST['login']; 
  $heslo = $_POST['heslo'];
  
  if (!isset($_REQUEST['orig_uri'])) {
    $uri = '/';
  }
  else {
    $uri = $_REQUEST['orig_uri'];
  }
   
  try {
    $login = $auth->check_credentials($login, $heslo);
    session_start();
    $_SESSION['login'] = $login;
    header("Location: $uri");
    exit;
  }
  catch (AuthException $e) {
    $auth->show_login_form();
  }
}
else {
  $auth->show_login_form();
} 

?>
